---
title: "Funds Authorisation"
url: "https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2/operations/fundsAuthorisation"
---

> Full API specification: https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2.md

# Funds Authorisation

`POST` `/partner/api/platformconnect/v1/workspaces/{workspace_id}/funds-authorisation`

Operation ID: `fundsAuthorisation`

This API is used to authorise/un-authorise the fss source line item for a workspace

## Path parameters

- `workspace_id` (string, uuid, required) - Workspace id

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `404` - NOT FOUND
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Financial
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/workspaces/{workspace_id}/funds-authorisation:
    post:
      tags:
        - Settlement
      summary: Funds Authorisation
      description: This API is used to authorise/un-authorise the fss source line item
        for a workspace
      operationId: fundsAuthorisation
      security:
        - oauth2:
            - x-api:authorise:funds
            - authorise:funds
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: workspace_id
          in: path
          description: Workspace id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - completionDate
                - lineItem
              properties:
                completionDate:
                  type: string
                  format: date
                  example: 1970-12-31
                lineItem:
                  type: object
                  required:
                    - authorised
                    - category
                    - amount
                  properties:
                    authorised:
                      type: boolean
                      example: true
                      description: Authorisation status of the line item
                    category:
                      type: string
                      pattern: ^(Mortgage Advance)$
                      description: |
                        Allowed values:
                         [`Mortgage Advance`]
                      example: Mortgage Advance
                    amount:
                      type: number
                      minimum: 1
                      maximum: 999999999999.99
                      description: Amount to be credited / debited
                      example: 10
        required: true
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  matched:
                    type: boolean
                    example: true
                  authorised:
                    type: boolean
                    example: true
                    description: Authorisation status of the line item
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - field: amount
                    message: Amount mismatch
        "404":
          description: NOT FOUND
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: "Resource not found for: workspace id"
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:authorise:funds
      - authorise:funds
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:accept:payee_account_details: Permission to accept payee account details (CoP override)
            x-api:authorise:funds: Permission to authorise funds for a workspace
            x-api:approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            x-api:unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
            add:fss_line_items: Permission to add financial settlement schedule line items
            delete:fss_line_items: Permission to delete financial settlement schedule line items
            view:financial_settlement_schedules: Permission to view financial settlement schedules
            edit:financial_settlement_schedules: Permission to edit financial settlement schedules
            edit:fss_line_items: Permission to edit financial settlement schedule line items
            authorise:funds: Permission to authorise funds for a workspace
            approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
```
